Name:           pdfgrep
Version:        1.3.1
Release:        7%{?dist}
Summary:        Tool to search text in PDF files
Summary(de):    Suchwerkzeug für Text in PDF-Dateien

Group:          Applications/Text
License:        GPLv2+
URL:            http://pdfgrep.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fontconfig-devel poppler-cpp-devel

%description
Pdfgrep is a tool to search text in PDF files. It works similar to grep. 

Features:
* search for regular expressions.
* support for some important grep options, including: 
  * file name output.
  * page number output.
  * optional case insensitivity.
  *count occurrences.
* and the most important feature: color output!

%description -l de
Pdfgrep ist ein Werkzeug für die Textsuche in PDF-Dateien.
Seine Funktionsweise ähnelt der von grep. 

Funktionsmerkmale:
* Suchen nach regulären Ausdrücken.
* Unterstützung für wichtige grep-Optionen, wie: 
  * Ausgabe des Dateinamens.
  * Ausgabe der Seitennummer.
  * optionale Berücksichtigung von Groß-/Kleinschreibung.
  * Zählung der Suchergebnisse.
* und vielleicht am wichtigsten: farbige Ausgabe!


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/pdfgrep
%{_mandir}/man1/pdfgrep.1*

%doc AUTHORS COPYING NEWS README 

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3.1-2
- Rebuilt for GCC 5 C++11 ABI change

* Sun Oct 12 2014 Robert Scheck <robert@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 Joachim de Groot <jdegroot@web.de> - 1.3.0-1
- Update to 1.3.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.2-6
- rebuild(poppler)

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 1.2-5
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 1.2-4
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 1.2-3
- Rebuild (poppler-0.17.0)

* Sat Mar 26 2011 Joachim de Groot <jdegroot@web.de> - 1.2-2
- Added german summary and description provided by Mario Blättermann

* Wed Mar 23 2011 Joachim de Groot <jdegroot@web.de> - 1.2-1
- Initial version of the package
